| 0.9.9 API documenation

Functions
GLM_GTC_integer
Recommended extensions

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, int, Q > | iround (vec< L, T, Q > const &x)
template<typename genIUType >
GLM_FUNC_DECL genIUType | log2 (genIUType x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, uint, Q > | uround (vec< L, T, Q > const &x)

## Detailed Description

Include <glm/gtc/integer.hpp> to use the features of this extension.

Allow to perform bit operations on integer values

## Function Documentation

## ◆ iround()

GLM_FUNC_DECL vec<L, int, Q> glm::iround | ( | vec< L, T, Q > const & | x | ) |

Returns a value equal to the nearest integer to x.

The fraction 0.5 will round in a direction chosen by the implementation, presumably the direction that is fastest.

Parameters

  x | The values of the argument must be greater or equal to zero.

Template Parameters

  T | floating point scalar types.

See also
  GLSL round man page
  GLM_GTC_integer

## ◆ log2()

GLM_FUNC_DECL genIUType glm::log2 | ( | genIUType | x | ) |

Returns the log2 of x for integer values.

Can be reliably using to compute mipmap count from the texture size.

See also
  GLM_GTC_integer

## ◆ uround()

GLM_FUNC_DECL vec<L, uint, Q> glm::uround | ( | vec< L, T, Q > const & | x | ) |

Returns a value equal to the nearest integer to x.

The fraction 0.5 will round in a direction chosen by the implementation, presumably the direction that is fastest.

Parameters

  x | The values of the argument must be greater or equal to zero.

Template Parameters

  T | floating point scalar types.

See also
  GLSL round man page
  GLM_GTC_integer